建築 牆體

From FreeCAD Documentation
The printable version is no longer supported and may have rendering errors. Please update your browser bookmarks and please use the default browser print function instead.
This page is a translated version of the page Arch Wall and the translation is 3% complete.
Outdated translations are marked like this.

Arch Wall

菜單位置
Arch → Wall
工作台
Arch
默認快捷鍵
W A
版本介紹
-
也可以看看
Arch Structure

Description

本工具自草圖或任何 物件mesh 生成牆體。一面牆無須以任何物件為生成基礎,這時牆為一立方體,以長寬高為其屬性。牆由其他形狀生成時,可基於:

  • 二維線條,例如線段、線條、弧或草圖,您可修改厚度、對齊(左右或居中)和高。長度則無影響。
  • A flat face, in which case you can only change the height. Length and width properties have no effect. If the base face is vertical, however, the wall will use the width property instead of height, allowing you to build walls from space-like objects or mass studies.
  • A solid, in which case length, width and height properties have no effect. The wall simply uses the underlying solid as its shape.
  • A mesh, in which case the underlying mesh must be a closed, manifold solid.

Walls built from a line, a wire, a face, a solid, and a sketch

Walls can also have additions or subtractions. Additions are other objects whose shapes are joined in this Wall's shape, while subtractions are subtracted. Additions and subtractions can be added with the Arch Add and Arch Remove tools. Additions and subtractions have no influence over wall parameters such as height and width, which can still be changed. Walls can also have their height automatic, if they are included into a higher-level object such as floors. The height must be kept at 0, then the wall will adopt the height specified in the parent object.

When several walls should intersect, you need to place them into a floor to have their geometry intersected.

Usage

Drawing a wall from scratch

  1. Press the Arch Wall button, or press W then A keys.
  2. Click a first point on the 3D view, or type coordinates.
  3. Click a second point on the 3D view, or type coordinates.

Drawing a wall on top of a selected object

  1. Select one or more base geometry objects (Draft object, sketch, etc)
  2. Press the Arch Wall button, or press the W then A keys
  3. Adjust needed properties such as height or width.

Options

  • Walls share the common properties and behaviours of all Arch Components
  • The height, width and alignment of a wall can be set during drawing, via the task panel
  • When snapping a wall to an existing wall, both walls will be joined into one. The way the two walls are joined depends on their properties: If they have the same width, height and alignment, and if the option "join base sketches" is enabled in the Arch preferences, the resulting wall will be one object based on a sketch made of several segments. Otherwise, the latter wall will be added to the first one as addition.
  • Press X, Y or Z after the first point to constrain the second point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press Enter between each X, Y and Z component.
  • Press R or click the checkbox to check/uncheck the Relative button. If relative mode is on, the coordinates of the second point are relative to the first one. If not, they are absolute, taken from the (0,0,0) origin point.
  • Press Shift while drawing to constrain your second point horizontally or vertically in relation to the first one.
  • Press Esc or the Cancel button to abort the current command.
  • Double-clicking on the wall in the tree view after it is created allows you to enter edit mode and access and modify its additions and subtractions
  • Multi-layer walls can be easily created by building several walls from the same baseline. By setting their Align property to either left or right, and specifying an Offset value, you can effectively construct several wall layers. Placing a window in such a wall layer will propagate the opening to the other wall layers based on the same baseline.
  • Walls can also make use of Multi-Materials. When using a multi-material, the wall will become multi-layer, using the thicknesses specified by the multi-material. Any layer with a thickness of zero will have its thickness defined automatically by the remaining space defined by the Wall's Width value, after subtracting the other layers.
  • Walls can be made to display blocks, instead of one single solid, by turning their 資料Make Blocks property on. The size and offset of blocks can be configured with different properties, and the amount of blocks is automatically calculated.

Snapping

Snapping works a bit differently with Arch walls than other Arch and Draft objects. If a wall has a baseline object, snapping will anchor to the base object, instead of the wall geometry, allowing to easily align walls by their baseline. If, however, you specifically want to snap to the wall geometry, pressing Ctrl will switch snapping to the wall object.

Second wall snapping perpendicularly to the first one

Properties

Wall objects inherit the properties of Part objects, and also have the following extra properties:

Data

Blocks

  • 資料Block Height: The height of each block.
  • 資料Block Length: The length of each block.
  • 資料Count Broken: The number of broken blocks (read-only).
  • 資料Count Entire: The number of entire blocks (read-only).
  • 資料Joint: The size of the joints, the empty space, between blocks.
  • 資料Make Blocks: Enables block generation.
  • 資料Offset First: The horizontal offset of the first and every uneven line of blocks.
  • 資料Offset Second: The horizontal offset of the second and every even line of blocks.

Component

  • 資料Base: The base object this wall is built on.

Wall

  • 資料Align: The alignment of the wall on its baseline: Left, Right or Center.
  • 資料Area: Area of the whole wall, separation into blocks makes no difference (read-only).
  • 資料Face: The index of the face from the base object to use. If the value is not set or 0, the whole object is used.
  • 資料Height: The height of the wall. Ignored if the wall is based on a solid. If set to zero, and the wall is inside a floor object with its height defined, the wall will automatically take the value of the floor height.
  • 資料Length: The length of the wall. Read-only if the wall is not based on an unconstrained sketch with a single edge, or on a Draft Wire with a single edge.
  • 資料Normal: The extrusion direction for the wall. If set to (0,0,0), the extrusion direction is automatic.
  • 資料Offset: The distance between the wall and its baseline. Works only if the Align property is set to Right or Left.
  • 資料Override Align:
  • 資料Override Width:
  • 資料Width: The width of the wall. Ignored if the wall is based on a face or a solid.

Scripting

See also: Arch API and FreeCAD Scripting Basics.

The Wall tool can be used in macros and from the Python console by using the following function:

Wall = makeWall(baseobj=None, length=None, width=None, height=None, align="Center", face=None, name="Wall")
  • Creates a Wall object from the given baseobj, which can be a Draft object, a Sketch, a face, or a solid.
    • If no baseobj is given, you can provide the numerical values for the length, width (thickness), and height.
    • If given, face can be used to give the index of a face from the underlying object, to build this wall on, instead of using the whole object.
  • align can be "Center", "Left" or "Right".
  • It returns None if the operation fails.

Example:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Wall2 = Arch.makeWall(None, length=2000, width=200, height=1000)
Draft.move(Wall2, FreeCAD.Vector(0, -1000, 0))
FreeCAD.ActiveDocument.recompute()